/**
 * Date: 8/22/19
 * Time: 9:27 PM
 * @license MIT (see project's LICENSE file)
 */
/**
 * Wrapper for accessing strings through sequential reads
 */
export declare class ReadStream {
    private buffer;
    private position;
    constructor(buffer: string);
    read(length: number): string;
    readInt32(): number;
    readInt16(): number;
    readInt8(signed?: boolean): number;
    eof(): boolean;
    /**
     * read a MIDI-style variable-length integer (big-endian value in groups of 7 bits,
     * with top bit set to signify that another byte follows)
     */
    readVarInt(): number;
}
//# sourceMappingURL=read.d.ts.map