/**
 * Date: 8/22/19
 * Time: 9:27 PM
 * @license MIT (see project's LICENSE file)
 */
/// <reference types="node" />
export declare class WriteStream {
    buffer: Buffer;
    get length(): number;
    /**
     * Appends data just as it is to our buffer
     */
    write(data: Buffer | WriteStream | string): void;
    /**
     * Writes 8 bit value to our buffer
     */
    writeInt8(value: number): void;
    /**
     * Writes 16 bit int to our buffer
     */
    writeInt16(value: number): void;
    /**
     * Writes 32 bit int to our buffer
     */
    writeInt32(value: number): void;
    /**
     * Writes a variable-length integer: a big-endian value in groups of 7 bits with top bit set to signify that another byte follows
     */
    writeVarInt(value: number): void;
}
//# sourceMappingURL=write.d.ts.map