"use strict";
/**
 * User: curtis
 * Date: 10/31/18
 * Time: 1:48 AM
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MidiIoEventSubtype = exports.MidiIoEventType = exports.MidiFileType = void 0;
var MidiFileType;
(function (MidiFileType) {
    /**
     * contains a single track
     */
    MidiFileType[MidiFileType["Single"] = 0] = "Single";
    /**
     * contains one or more simultaneous (as in played simultaneously) tracks
     */
    MidiFileType[MidiFileType["Simultaneous"] = 1] = "Simultaneous";
    /**
     * contains one or more independent (as in played independently) tracks
     */
    MidiFileType[MidiFileType["Independent"] = 2] = "Independent";
})(MidiFileType = exports.MidiFileType || (exports.MidiFileType = {}));
var MidiIoEventType;
(function (MidiIoEventType) {
    MidiIoEventType["Channel"] = "channel";
    MidiIoEventType["Meta"] = "meta";
    MidiIoEventType["SysEx"] = "sysEx";
    MidiIoEventType["DividedSysEx"] = "dividedSysEx";
})(MidiIoEventType = exports.MidiIoEventType || (exports.MidiIoEventType = {}));
var MidiIoEventSubtype;
(function (MidiIoEventSubtype) {
    MidiIoEventSubtype["ChannelAftertouch"] = "channelAftertouch";
    MidiIoEventSubtype["Controller"] = "controller";
    MidiIoEventSubtype["CopyrightNotice"] = "copyrightNotice";
    MidiIoEventSubtype["CuePoint"] = "cuePoint";
    MidiIoEventSubtype["EndOfTrack"] = "endOfTrack";
    MidiIoEventSubtype["InstrumentName"] = "instrumentName";
    MidiIoEventSubtype["KeySignature"] = "keySignature";
    MidiIoEventSubtype["Lyrics"] = "lyrics";
    MidiIoEventSubtype["Marker"] = "marker";
    MidiIoEventSubtype["MidiChannelPrefix"] = "midiChannelPrefix";
    MidiIoEventSubtype["NoteAftertouch"] = "noteAftertouch";
    MidiIoEventSubtype["NoteOff"] = "noteOff";
    MidiIoEventSubtype["NoteOn"] = "noteOn";
    MidiIoEventSubtype["PitchBend"] = "pitchBend";
    MidiIoEventSubtype["ProgramChange"] = "programChange";
    MidiIoEventSubtype["SetTempo"] = "setTempo";
    MidiIoEventSubtype["SequenceNumber"] = "sequenceNumber";
    MidiIoEventSubtype["SequencerSpecific"] = "sequencerSpecific";
    MidiIoEventSubtype["SmpteOffset"] = "smpteOffset";
    MidiIoEventSubtype["TimeSignature"] = "timeSignature";
    MidiIoEventSubtype["TrackName"] = "trackName";
    MidiIoEventSubtype["Text"] = "text";
    MidiIoEventSubtype["Unknown"] = "unknown";
})(MidiIoEventSubtype = exports.MidiIoEventSubtype || (exports.MidiIoEventSubtype = {}));
